<?php

namespace Drupal\visitors\Plugin\views\field;

use Drupal\views\Plugin\views\field\FieldPluginBase;

/**
 * Field handler to display the hour (server) of the visit.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("visitors_day")
 */
final class VisitorsDay extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function query() {
    $this->ensureMyTable();
    // Add the field.
    $params = $this->options['group_type'] != 'group' ? ['function' => $this->options['group_type']] : [];
    /** @var \Drupal\views\Plugin\views\query\Sql $query */
    $query = $this->query;
    $this->field_alias = $query->addField(NULL, visitors_date_format_sql('visitors_date_time', '%Y-%m-%d'), 'visitors_day', $params);

    $this->addAdditionalFields();
  }

}
